Subject: Re: [PATCH] powerpc: add of_get_mac_address() and update fsl_soc.c to use it

From: Segher Boessenkool <[email-masked]>
Date: Fri, 16 Feb 2007 14:25:38 +0100

> There are trees in the kernel today that have 'address' in them.  
> Before I can fix the trees, though, I need to update U-Boot and the 
> kernel to support local-mac-address *without* breaking support for 
> older trees.  That's why this patch is written the way it is.

Yes I understand.  My suggestion was to somehow recognise
those trees and only for those try the "address" thing.

Not too important in this case I guess, since almost all
correct trees will have a "local-mac-address" property,
and the correct (standard-conform) use of "address" is
pretty much obsoleted.

Since you are planning to at a later date (hopefully soon :-) )
remove this handling of "address" completely again, I'm sure I
can live with it -- objection withdrawn ;-)

Segher